package com.zivilon.cinder_loe.client.render;

import com.zivilon.cinder_loe.entity.npc.evil_human.Limwaith;
import lotr.client.render.entity.LOTRRandomSkins;
import net.minecraft.client.model.ModelBase;
import net.minecraft.entity.EntityLiving;

public class RenderLimwaithShaman extends RenderLimwaith {
    private static LOTRRandomSkins outfits;

    public RenderLimwaithShaman() {
        outfits = LOTRRandomSkins.loadSkinsList("cinder_loe:mob/limwaith/shaman_outfit");
    }

    @Override
    public int shouldRenderPass(EntityLiving entity, int pass, float f) {
        Limwaith shaman = (Limwaith) entity;
        if (pass == 1 && shaman.getEquipmentInSlot(3) == null) {
            this.setRenderPassModel((ModelBase)this.outfitModel);
            this.bindTexture(outfits.getRandomSkin(shaman));
            return 1;
        }
        return super.shouldRenderPass((EntityLiving)shaman, pass, f);
    }
}
